package ru.yandex.webmaster3.viewer.http.indexing2.events;

import ru.yandex.webmaster3.core.http.ActionResponse;
import ru.yandex.webmaster3.core.http.ActionStatus;
import ru.yandex.webmaster3.storage.indexing2.samples.data.IndexedUrlEventSample;

import java.util.List;

/**
 * Created by leonidrom on 17/02/2017.
 */
public class IndexedUrlEventSamplesResponse implements ActionResponse.NormalResponse {
    private final long totalSamples;
    private final List<IndexedUrlEventSample> samples;

    public IndexedUrlEventSamplesResponse(long totalSamples, List<IndexedUrlEventSample> samples) {
        this.totalSamples = totalSamples;
        this.samples = samples;
    }

    public long getTotalSamples() {
        return totalSamples;
    }

    public List<IndexedUrlEventSample> getSamples() {
        return samples;
    }
}
